import { ElementRef } from '@angular/core';
import { NgControl } from '@angular/forms';
import { TrumbowygOptions } from '../../model/trumbowyg-options';
import { EditorBase } from '../../utils/editor-base';
export declare class EditorComponent extends EditorBase {
    editorControl: NgControl;
    protected _config: TrumbowygOptions;
    options: TrumbowygOptions | null;
    placeholder: string | null;
    _editor: ElementRef;
    constructor(editorControl: NgControl, _config: TrumbowygOptions);
}
