import { ElementRef } from '@angular/core';
import { EditorBase } from '../utils/editor-base';
import { TrumbowygOptions } from '../model/trumbowyg-options';
import { NgControl } from '@angular/forms';
export declare class EditorDirective extends EditorBase {
    editorControl: NgControl;
    protected _config: TrumbowygOptions;
    protected _editor: ElementRef;
    options: TrumbowygOptions | null;
    placeholder: string | null;
    constructor(editorControl: NgControl, _config: TrumbowygOptions, _editor: ElementRef);
}
